JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const plan = await client.v1.plans.retrieve('x');
console.log(plan.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
plan = client.v1.plans.retrieve(
id="x",
)
print(plan.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
plan, err := client.V1.Plans.Get(
context.TODO(),
"x",
stigg.V1PlanGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", plan.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.plans.Plan;
import io.stigg.models.v1.plans.PlanRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Plan plan = client.v1().plans().retrieve("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
plan = stigg.v1.plans.retrieve("x")
puts(plan)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Plans;
StiggClient client = new();
PlanRetrieveParams parameters = new() { ID = "x" };
var plan = await client.V1.Plans.Retrieve(parameters);
Console.WriteLine(plan);stigg v1:plans retrieve \
--api-key 'My API Key' \
--id xcurl --request GET \
--url https://api.stigg.io/api/v1/plans/{id} \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/plans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "plan-professional",
"displayName": "Professional",
"description": "Professional plan with advanced features",
"productId": "product-starter",
"status": "PUBLISHED",
"pricingType": "PAID",
"billingId": "price_1234567890",
"versionNumber": 1,
"isLatest": true,
"entitlements": [
{
"type": "FEATURE",
"id": "feature-advanced-analytics"
},
{
"type": "CREDIT",
"id": "api-calls"
}
],
"metadata": {},
"createdAt": "2025-10-26T10:00:00.000Z",
"updatedAt": "2025-10-26T10:00:00.000Z",
"parentPlanId": null,
"defaultTrialConfig": {
"duration": 14,
"units": "DAY",
"budget": null,
"trialEndBehavior": null
},
"compatibleAddonIds": []
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Plans
Get a single plan by ID
Retrieves a plan by its unique identifier, including entitlements and pricing details.
GET
/
api
/
v1
/
plans
/
{id}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const plan = await client.v1.plans.retrieve('x');
console.log(plan.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
plan = client.v1.plans.retrieve(
id="x",
)
print(plan.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
plan, err := client.V1.Plans.Get(
context.TODO(),
"x",
stigg.V1PlanGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", plan.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.plans.Plan;
import io.stigg.models.v1.plans.PlanRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Plan plan = client.v1().plans().retrieve("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
plan = stigg.v1.plans.retrieve("x")
puts(plan)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Plans;
StiggClient client = new();
PlanRetrieveParams parameters = new() { ID = "x" };
var plan = await client.V1.Plans.Retrieve(parameters);
Console.WriteLine(plan);stigg v1:plans retrieve \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Response
The plan object with full details.
Response object
Plan configuration object
Show child attributes
Show child attributes
⌘I
